Subject: Fwd: I-D ACTION:draft-cerpa-wrec-necp-00.txt

From: John Martin <[email-masked]>
Date: Wed, 27 Oct 1999 18:00:01 +0200

For those of you who didn't spot it (or the press release), here is the 
details for NECP, the protocol I initially presented two meetings ago. It 
is designed to allow simple but standardized two-way communication between 
proxy-caches, and the switches or routers to which they are usually 
attached, in some sort of load balancing configuration.

It has been developed by a group of commercial switch and cache vendors in 
order to get the ball rolling. We would hope / plan to standardize the next 
version via the standard IETF channels, preferably as a WREC work item.

Regards,
John

>To: IETF-Announce: ;
>CC: [email-masked]
>From: [email-masked]
>Reply-to: [email-masked]
>Subject: I-D ACTION:draft-cerpa-wrec-necp-00.txt
>Date: Tue, 26 Oct 1999 07:28:24 -0400
>Sender: [email-masked]
>
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
>
>         Title           : NECP the Network Element Control Protocol
>         Author(s)       : A. Cerpa, P. Danzig, G. Tomlinson, A. 
> Chankhunthod,
>                           C. Neerdaels, T. Schroeder,  J. Elson, H. Beheshti,
>                           R. Jalan
>         Filename        : draft-cerpa-wrec-necp-00.txt
>         Pages           : 37
>         Date            : 25-Oct-99
>
>This document describes 'NECP', a lightweight protocol for
>signalling between servers and the network elements that forward
>traffic to them.  It is intended for use in a wide variety of server
>applications, including for origin servers, proxies, and
>transparent proxies.  The network element may also be a range of
>devices, including so-called L4 or content-aware switches and
>load-balancing routers.
>NECP provides methods for network elements to learn about servers'
>capabilities, availability, and hints as to which flows can and can
>not be serviced.  This allows network elements to perform load
>balancing across a farm of servers, redirection to transparent
>proxies, and cut-through of flows that can not be served by the
>farm.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-cerpa-wrec-necp-00.txt
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-cerpa-wrec-necp-00.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-cerpa-wrec-necp-00.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>Content-Type: text/plain
>Content-ID:     <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-cerpa-wrec-necp-00.txt
>
><ftp://ftp.ietf.org/internet-drafts/draft-cerpa-wrec-necp-00.txt>

---------------------------------------------------------------
Network Appliance           Direct / Voicemail: +31 654 308 275
Kruisweg 799                               Fax: +31 23 567 9699
NL-2132 NG Hoofddorp               Main Office: +31 23 567 9600
---------------------------------------------------------------